html {
    scroll-behavior: smooth;
}

body {
    background-color: #D7C097;
    font-size: clamp(14px, 1.4vw, 18px);
    padding: 0px;
    margin: 0px;
}

h1, h2 {
    text-align: center;
    color: #537D5D;
}

h1 {
    font-size: clamp(28px, 5.2vw, 48px);
    margin-top: 0px;
}

h2 {
    font-size: clamp(24px, 4.2vw, 42px);
}

h3 {
    font-size: clamp(20px, 3.2vw, 32px);
    margin-top: 5px;
    border-bottom: 2px solid #537D5D;
    padding-bottom: 4px;
    text-decoration: none !important;
}

.header-image {
    border-radius: 50%;
    width: clamp(150px, 40vw, 400px);
}

.header-quote {
    font-size: clamp(40px, 6vw, 60px);
    margin-top: 6px;
    margin-bottom: 32px;
}

.introducing-text {
    margin-bottom: 30px;
}

section > p, .introducing-text > p, .explaination-section p {
    margin: 10px 0px;
    line-height: 28px;
}

li {
    line-height: 1.4em;
    margin-bottom: 1rem;
}

ol {
    padding-left: 0px;
    list-style: none;
    counter-reset: num;
}

ol > li {
    counter-increment: num;
    margin-top: 25px;
}

ol > li::before {
    content: counter(num) ". ";
    color: #537D5D;
    font-weight: bold;
}

.underline {
    text-decoration: underline;
    color: #537D5D;
}

strong {
    color: #537D5D;
    font-weight: normal;
}

img {
    width: 200px;
    height: auto;
}

main {
    padding-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    max-width: 1140px;
    margin-left: auto;
    margin-right: auto;
}

section:not(.header-section, .contact) {
    margin-bottom: 40px;
}

section.centered {
    display: flex;
    flex-direction: column;
    align-items: center;
}

a {
    color: #537D5D;
}

.bloc {
    width: 100%;
    display: flex;
    margin-right: auto;
}

hr {
    width: 100%;
    border: 1px solid #333333;
    color: #333333;
    margin-top: 40px;
    margin-bottom: 40px;
}

.price-container {
    text-align: center;
    padding: 25px;
}

.price {
    border-radius: 10px;
    padding: 15px;
    font-size: 30px;
    background-color: #537D5D;
    color: white;
}

.bloc figure {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0px 30;
}

.explaination-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.explaination-section figure {
    display: none;
    margin-bottom: 0px;
}

.bloc figure img, .explaination-section img {
    border-radius: 15px;
    width: 250px;
}

.bloc-text {
    margin-left: 30px;
    order: 2;
}

.bloc figure:first-child {
    order: 1;
}

.bloc figure:last-child {
    order: 3;
}

.bloc-text h3 {
    color: #537D5D;
}

.bandeau-animaux-container {
    display: none;
}

section.contact {
    position: relative;
    margin-top: 120px;
    padding-top: 30px;
    padding-bottom: 80px;
    background-color: #537D5D;
    color: #f5d8a6;
    width: 100%;
}

section.contact h2 {
    color: #f5d8a6;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact-container {
    width: 80%;
    max-width: 940px;
    margin-left: auto;
    margin-right: auto;
}

form > div {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-bottom: 25px;
}

form > div > label {
    margin-bottom: 5px;
}

form > div > input {
    border-radius: 5px;
    padding: 13px 15px;
    border: 0px;
    outline: none;
    font-size: clamp(14px, 1.4vw, 18px);
}

form > div > textarea {
    border-radius: 5px;
    padding: 13px 15px;
    border: 0px;
    outline: none;
    font-size: clamp(14px, 1.4vw, 18px);
}

form button {
    position: relative;
    padding: 15px 50px;
    background-color: #f5d8a6;
    color: #537D5D;
    border: 0px;
    font-size: 20px;
    border-radius: 5px;
    transition: filter .2s ease-in-out;
}

form button:hover {
    cursor: pointer;
    filter: brightness(0.8);
}

.disabled {
    cursor: auto;
    filter: brightness(0.8);
}

#email-result {
    opacity: 0;
    margin-top: 18px;
    font-size: clamp(18px, 1.4vw, 24px);
    text-align: center;
}

.hp-field {
    position: absolute;
    left: -9999px;
    top: -9999px;
    height: 0;
    overflow: hidden;
}

footer {
    background-color: #365a3e;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 25px;
    padding-bottom: 7px;
}

footer a {
    color: #f5d8a6;
    font-size: clamp(12px, 1.4vw, 14px);
}

.header-figure {
    position: relative;
}

.header-image {
    z-index: 20;
    position: relative;
    animation:pulse 1.5s ease-out, glow 1s ease-out forwards;
}

.header-figure::after {
  content:"";
  position:absolute;
  inset:0;
  border-radius:50%;
  border:2px solid rgba(255, 255, 255, 0.5);
  animation:ring 2s ease-out forwards;
}

.header-figure.no-after::after {
  content: none;
}

.butterfly {
    width: clamp(40px, 8vw, 80px);
    height: auto;
    position: absolute;
    top:60%;
    left:60%;
    transform:translate(-50%, -50%);
    z-index:1;
    animation:fly 5.5s forwards;
}

.fade-in-up {
    opacity: 0;
    transform: translateY(10px);
    animation: fadeInUp 1s ease forwards;
}

@keyframes fly{

    0%{
        transform:translate(-50%, -50%) translate(0,0);
        opacity:1;
    }

    100%{
        transform:translate(-50%, -50%) translate(var(--x), var(--y));
        opacity:0;
    }

}


@keyframes pulse{

  0%{
    transform:scale(1);
  }

  80%{
    transform:scale(1.02);
  }

  100%{
    transform:scale(1);
  }

}

@keyframes glow{

  0%{
    box-shadow:0 0 0 rgba(255,255,255,0);
  }

  100%{
    box-shadow:0 0 40px rgba(255,255,255,0.6);
  }

}

@keyframes ring{

  0%{
    transform:scale(1);
    opacity:0.8;
  }

  100%{
    transform:scale(1.8);
    opacity:0;
  }

}

@keyframes fadeInUp {

    to {
        opacity: 1;
        transform: translateY(0);
    }

}

#move-up-button {
    width: 50px;
    height: auto;
    position: fixed;
    bottom: -70px;
    right: 40px;
    cursor: pointer;
    text-align: center;
    font-size: 30px;
    transition: transform 330ms ease;
    color: #495367;
}

#move-up-button:hover {
    transform: scale(1.05);
}

#move-up-button > img {
    width: 35px;
    height: auto;
}

.contact > img:nth-child(1) {
    width: auto;
    height: 70px;
    top: -70px;
    left: calc(50% - 475px);
    position: absolute;
}

@media (max-width: 1100px) {
    .service-container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .bloc-text {
        order: 1;
        margin-bottom: 30px;
    }

    .bloc figure:first-child {
        order: 2;
    }

    .bloc figure:last-child {
        order: 3;
        display: none;
    }

    .explaination-section figure {
        display: block;
        margin-top: 50px;
        margin-bottom: 0px;
    }

    section:not(.header-section, .contact) {
        margin-bottom: 20px;
    }
}

@media (max-width: 990px) {
    .contact > img:nth-child(1) {
        display: none;
    }

    section.contact {
        margin-top: 0px;
    }

    .bandeau-animaux-container {
        display: flex;
        justify-content: center;
        gap: 20%;
        margin-bottom: -3px;
        margin-top: 75px;
    }

    .bandeau-animaux-container img {
        width: auto;
        height: 60px;
    }
}

@media (max-width: 768px) {
    section p {
        text-align: justify;
    }

    main {
        width: 85%;
    }

    .header-section .header-quote {
        margin: 0px;
    }

    .introducing-text {
        margin-bottom: 0px;
    }

    section:not(.header-section, .contact) {
        margin-bottom: 10px;
    }

    .explaination-section figure {
        display: block;
        margin-top: 20px;
        margin-bottom: 0px;
    }

    section > p, .introducing-text > p, .explaination-section p {
        margin: 10px 0px;
        line-height: 25px;
    }

    .reasons-section ul {
        padding-left: 22px;
    }
}